<template>
  <div>
        <Header/>
            <div class="container" style="margin-top:100px;">
                <div class="row d-flex justify-content-center">
                    <div class="col-md-6">
                        <div class="card" style="background-color:#bdc7c9;">
                            <div class="card-header">SILAHKAN REGISTER</div>
                            <div class="card-body">                        
                                <form action="#" 
                                    method="POST" 
                                    class="p-3"
                                    @submit.prevent="store">
                                    <div class="form-group">
                                        <label for="email" class="d-flex justify-content-start">
                                            Email
                                        </label>                                   
                                        <input type="email" class="form-control mb-4" name="email" id="email" 
                                                v-model="email"> 
                                    </div>
                                    <div class="form-group">
                                        <label for="password" class="d-flex justify-content-start">
                                            Password
                                        </label>
                                        <div>
                                            <input type="password" 
                                            v-model="password" class="form-control mb-4" 
                                            id="password" name="password">
                                        </div>
                                    </div>   
                                    <div class="form-group">
                                        <label for="name" class="d-flex justify-content-start">
                                            Name
                                        </label>
                                        <div>
                                            <input type="text" 
                                                   v-model="name" 
                                                   class="form-control mb-5" 
                                                   id="name" name="name">
                                        </div>
                                    </div>  
                                    <div class="form-group">
                                        <label for="photo_profile" class="d-flex justify-content-start">Photo</label>
                                        <div>
                                            <input type="file"
                                                   class="form-control-file mb-5" 
                                                   id="photo_profile" name="photo_profile" ref="photo_profile">
                                        </div>
                                    </div>           
                                    <button type="submit" class="btn btn-lg btn-primary py-2 px-4">REGISTER</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>         
            </div>
    </div>
</template>

<script>
import Header from '@/components/Header.vue'
import axios from 'axios'
import swal from 'sweetalert';

export default {
  name: 'auth.Register',
  data: () => ({
        email : '',
        password : '',
        name : '',
  }),

  components: {
    Header,
  },

  methods: {
      async store() {
        let formData = new FormData()
        let file = this.$refs.photo_profile.files[0]
            formData.append('email', this.email)                  
            formData.append('password', this.password)                      
            formData.append('name', this.name)  
            formData.append('photo_profile', file)               
            
            // const config = {
            //     method: 'POST',
            //     url: 'http://demo-api-vue.sanbercloud.com/api/v2/auth/register',
            //     data: formData,
            // }
            axios.defaults.headers.common['Access-Control-Allow-Origin'] = '*';
            await axios.post('https://demo-api-vue.sanbercloud.com/api/v2/auth/register', formData)
                .then(response => {
                    // this.$toasted.show(response.data.message, {
                    //     type:'success',
                    //     duration: 2000,
                    // })
                    swal({
                        title: response.data.message,
                        icon: "success",
                        button: "Close",
                        });
                    this.$router.push('/login');
                    console.log(response.data.message)
                }).catch(error => {
                    console.log(error.response)
            })
      }
  },

  created() {
      this.store()
  },

  mounted() {
      document.title = "Register"
  }
}
</script>

<style scoped>
.card {
    font-size: 16px;
}
.card-header {
    color : #2b4f60;
    font-weight: bold;
}

.card label {
    font-size: 14px;
    color : #2b4f60;
    font-weight: bold;
}

button {
    font-size: 14px;
    font-weight: bold;
}

input {
    font-size: 14px;
}
</style>